- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- PlannableLocation
- Try it!
Retrieves the list of countries where reach forecasting is supported.
HTTP request
GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableLocations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser to list plannable locations for. |
Request body
The request body must be empty.
Response body
Response for reachForecast.retrievePlannableLocations
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"plannableLocations": [
{
object ( |
| Fields | |
|---|---|
plannableLocations[] |
Output only. The list of plannable locations. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.
PlannableLocation
A plannable location used for forecasting.
| JSON representation |
|---|
{
"name": string,
"displayName": string,
"geoRegionType": enum ( |
| Fields | |
|---|---|
name |
Output only. The resource name of the plannable location. |
displayName |
Output only. The display name of the location, for example "Algeria". |
geoRegionType |
Output only. The type of location. |
plannableLocationId |
Output only. The plannable location ID. |
regionCode |
Output only. The region code of the location, for example "DZ" for Algeria. |
parentPlannableLocationId |
Output only. The parent plannable location ID, for example the country ID for subgeos. |